### Method

# Xdp Portal request_background

#### Declaration [src]

    void
    xdp_portal_request_background (
      XdpPortal* portal,
      XdpParent* parent,
      char* reason,
      GPtrArray* commandline,
      XdpBackgroundFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Requests background permissions.

When the request is done, `callback` will be called. You can then call `xdp_portal_request_background_finish()` to get the results.

#### Parameters

`parent` | `XdpParent`
| Parent window information.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`reason` | `char*`
| Reason to present to user for request.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`commandline` | An array of `utf8`
| Command line to autostart.
| The instance takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.
`flags` | `XdpBackgroundFlags`
| Options for this call.
`cancellable` | `GCancellable`
| Optional `GCancellable`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call when the request is done.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.